<script setup lang="ts">
import ShortcutPlus from "@/components/atoms/text/shorcut/ShortcutPlus.vue";
import ShortcutKey from "@/components/atoms/text/shorcut/ShortcutKey.vue";

defineProps({
  combinaison: Array<String>
});
</script>

<template>
    <span :key="'combinaison_' + index" v-for="(key, index) in combinaison">
      <ShortcutKey>{{ key }}</ShortcutKey>
      <ShortcutPlus v-if="index + 1 !== combinaison?.length"/>
    </span>
</template>